Scraper apiGeneratedInternal statistics

Internal per-request log

GET
/v1/internal/statistics/requests

Returns a paginated, newest-first log of individual extraction requests in the requested window. Intended for Geonode's internal team only; gated by INTERNAL_API_AUTH_* Basic Auth.

Authorization

InternalBasicAuth
Authorization<token>

In: header

Query Parameters

from?|

Filter by start date (defaults to the last 7 days).

to?|

Filter by end date (defaults to now).

status?|

Optional outcome filter: 'success' or 'failed'. Omit for all requests.

page?Page

1-based page number.

page_size?Page Size

Number of requests per page.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/internal/statistics/requests"
{
  "start_date": "2019-08-24T14:15:22Z",
  "end_date": "2019-08-24T14:15:22Z",
  "page": 0,
  "page_size": 0,
  "page_count": 0,
  "total": 0,
  "items": [
    {
      "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",
      "timestamp": "2019-08-24T14:15:22Z",
      "target_host": "string",
      "engine_used": "string",
      "status": "success",
      "failure_reason": "timeout",
      "proxy_bandwidth_bytes": 0,
      "response_time_ms": 0,
      "cookie_cache_hit": true,
      "country_code": "string",
      "retry_count": 0
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}